#ifndef SPRITE_H
#define SPRITE_H

namespace Salamander
{

class Sprite : public Entity, public Visual
{
public:
	Sprite();
	virtual ~Sprite();

	virtual bool onAdded(Node& parent);
	virtual bool onRemoved(Node& parent);

protected:
	/*
	** Propogate the entity transform to the visual transform.
	*/
	virtual void propogate();

private:
	

};

}

#endif // SPRITE_H